Bug 62634 - Apache httpd 2.4.33 on Sol SPARC hangs after between 130 and 134 hours reliably. Httpd is accepting no connections at this time. A restart of the service will bring things back to normal before counting down to 130 - 134 hours again.
Summary: Apache httpd 2.4.33 on Sol SPARC hangs after between 130 and 134 hours reliab...
Status: RESOLVED DUPLICATE of bug 61786
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: All (show other bugs)
Version: 2.4.34
Hardware: Sun Solaris
: P1 major (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-08-17 16:52 UTC by V
Modified: 2018-08-27 09:44 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description V 2018-08-17 16:52:33 UTC

    
Comment 1 V 2018-08-17 16:57:29 UTC
More details:

$ ./httpd -V                                                                  
Server version: Apache/2.4.33 (Unix)                                          
Server built:   Apr 13 2018 11:31:43                                          
Server's Module Magic Number: 20120211:76                                     
Server loaded:  APR 1.6.3, APR-UTIL 1.6.1                                     
Compiled using: APR 1.6.3, APR-UTIL 1.6.1                                     
Architecture:   32-bit                                                        
Server MPM:     event                                                         
  threaded:     yes (fixed thread count)                                      
    forked:     yes (variable process count)                                  
Server compiled with....                                                      
 -D APR_HAS_SENDFILE                                                          
 -D APR_HAS_MMAP                                                              
 -D APR_HAVE_IPV6 (IPv4-mapped addresses enabled)                             
 -D APR_USE_PROC_PTHREAD_SERIALIZE                                            
 -D APR_USE_PTHREAD_SERIALIZE                                                 
 -D SINGLE_LISTEN_UNSERIALIZED_ACCEPT                                         
 -D APR_HAS_OTHER_CHILD                                                       
 -D AP_HAVE_RELIABLE_PIPED_LOGS                                               
 -D DYNAMIC_MODULE_LIMIT=256                                                  
 -D HTTPD_ROOT="/opt/Apache/apache-2.4"                                       
 -D SUEXEC_BIN="/opt/Apache/apache-2.4/bin/suexec"                            
 -D DEFAULT_PIDLOG="logs/httpd.pid"                                           
 -D DEFAULT_SCOREBOARD="logs/apache_runtime_status"                           
 -D DEFAULT_ERRORLOG="logs/error_log"                                         
 -D AP_TYPES_CONFIG_FILE="conf/mime.types"                                    
 -D SERVER_CONFIG_FILE="conf/httpd.conf"

========================================================

Oracle Solaris 10 1/13 s10s_u11wos_24a SPARC

  Copyright (c) 1983, 2013, Oracle and/or its affiliates. All rights reserved.

                            Assembled 17 January 2013

========================================================

Running Solaris LDOMS

Logical Domains Manager (v 3.1.1.1.7)

        Hypervisor control protocol v 1.11

        Using Hypervisor MD v 1.4

========================================================

8 CPUs of type:  3600 MHz  SPARC-T5

========================================================

Uname –a?

SunOS s1qvwb990 5.10 Generic_150400-59 sun4v sparc sun4v

========================================================

And please have them run ldd against httpd and provide the output

/opt/Apache/apache-2.4/bin $ ldd httpd

        libpcre.so.1 =>  /usr/local/lib/libpcre.so.1

        libaprutil-1.so.0 =>     /opt/Apache/apache-2.4/lib/libaprutil-1.so.0

        libexpat.so.1 =>         /usr/local/lib/libexpat.so.1

        libiconv.so.2 =>         /usr/local/lib/libiconv.so.2

        libapr-1.so.0 =>         /opt/Apache/apache-2.4/lib/libapr-1.so.0

        libuuid.so.1 =>  /usr/lib/libuuid.so.1

        libsendfile.so.1 =>      /usr/lib/libsendfile.so.1

        librt.so.1 =>    /usr/lib/librt.so.1

        libsocket.so.1 =>        /usr/lib/libsocket.so.1

        libnsl.so.1 =>   /usr/lib/libnsl.so.1

        libpthread.so.1 =>       /usr/lib/libpthread.so.1

        libc.so.1 =>     /usr/lib/libc.so.1

        libgcc_s.so.1 =>         /usr/local/lib/libgcc_s.so.1

        libaio.so.1 =>   /usr/lib/libaio.so.1

        libmd.so.1 =>    /usr/lib/libmd.so.1

        libmp.so.2 =>    /usr/lib/libmp.so.2

        libscf.so.1 =>   /usr/lib/libscf.so.1

        libdoor.so.1 =>  /usr/lib/libdoor.so.1

        libuutil.so.1 =>         /usr/lib/libuutil.so.1

        libgen.so.1 =>   /usr/lib/libgen.so.1

        libm.so.2 =>     /usr/lib/libm.so.2

        /lib/libm/libm_hwcap1.so.2

        /platform/sun4v/lib/libc_psr.so.1

        /platform/sun4v/lib/libmd_psr.so.1


=====================================================


Httpd was built from source..  here is the config.nice


Config.nice

#! /bin/sh

#

# Created by configure

 

"./configure" \

"--prefix=/opt/Apache/apache-2.4" \

"-enable-so" \

"--enable-ssl" \

"--enable-reqtimeout" \

"--enable-headers" \

"--with-ssl=/usr/local/ssl" \

"--enable-rewrite" \

"--disable-info" \

"--disable-status" \

"--disable-autoindex" \

"--disable-imap" \

"--disable-userdir" \

"--disable-auth" \

"$@"


Please let me know if you need anything else.

~V
Comment 2 AK 2018-08-24 08:28:29 UTC
I can confirm that we have the same problem in Solaris10/x86_64 and Solaris11/Sparc environment.

HTTPDs were compiled and we are having the same problem with version 2.4.23 and 2.4.34.

While trying to identify the problem we configured two Listen ports for the same VirtualHost. 
The result of that reconfiguration is the hang occures only for one port. The other port of the same VirtualHost is serving services without problems.
We never found an error in logs. Netstat does not show any anomaly.

The only solution is restart.






Info about version 2.4.34:
##################################################
$ cat config.nice 
#! /bin/sh
#
# Created by configure

CFLAGS="-m64"; export CFLAGS
LDFLAGS="-m64"; export LDFLAGS
"./configure" \
"--prefix=/opt/apache_httpd/httpd-2.4.34/" \
"--with-apr=/opt/apache_httpd/httpd-2.4.34/bin/" \
"--with-apr-util=/opt/apache_httpd/httpd-2.4.34/bin/" \
"--with-ssl=/opt/apache_httpd/httpd-2.4.34/" \
"--enable-mods-shared=all" \
"--disable-ext-filter" \
"CFLAGS=-m64" \
"LDFLAGS=-m64" \
"$@"

$ ./httpd -V
Server version: Apache/2.4.34 (Unix)
Server built:   Aug  3 2018 11:41:44
Server's Module Magic Number: 20120211:79
Server loaded:  APR 1.6.3, APR-UTIL 1.6.1
Compiled using: APR 1.6.3, APR-UTIL 1.6.1
Architecture:   64-bit
Server MPM:     event
  threaded:     yes (fixed thread count)
    forked:     yes (variable process count)
Server compiled with....
 -D APR_HAS_SENDFILE
 -D APR_HAS_MMAP
 -D APR_HAVE_IPV6 (IPv4-mapped addresses enabled)
 -D APR_USE_PROC_PTHREAD_SERIALIZE
 -D APR_USE_PTHREAD_SERIALIZE
 -D SINGLE_LISTEN_UNSERIALIZED_ACCEPT
 -D APR_HAS_OTHER_CHILD
 -D AP_HAVE_RELIABLE_PIPED_LOGS
 -D DYNAMIC_MODULE_LIMIT=256
 -D HTTPD_ROOT="/opt/apache_httpd/httpd-2.4.34/"
 -D SUEXEC_BIN="/opt/apache_httpd/httpd-2.4.34//bin/suexec"
 -D DEFAULT_PIDLOG="logs/httpd.pid"
 -D DEFAULT_SCOREBOARD="logs/apache_runtime_status"
 -D DEFAULT_ERRORLOG="logs/error_log"
 -D AP_TYPES_CONFIG_FILE="conf/mime.types"
 -D SERVER_CONFIG_FILE="conf/httpd.conf"

 
 
 Info about version 2.4.23:
##################################################
# cat build/config.nice 
#! /bin/sh
#
# Created by configure

"./configure" \
"--prefix=/opt/httpd-2.4.23/" \
"--with-apr-util=/opt/httpd-2.4.23/bin/" \
"--with-apr=/opt/httpd-2.4.23/bin/" \
"--with-mpm=prefork" \
"--enable-unixd" \
"--enable-ssl" \
"--with-ssl=/opt/httpd-2.4.23/" \
"--enable-cache" \
"--enable-cache-disk" \
"--enable-socache-memcache" \
"--enable-cache-socache" \
"--enable-slotmem-shm" \
"--enable-dumpio" \
"--enable-include" \
"--enable-logio" \
"--enable-expires" \
"--enable-proxy" \
"--enable-proxy-html" \
"--enable-proxy-connect" \
"--enable-proxy-ftp" \
"--enable-proxy-http" \
"--enable-proxy-ajp" \
"--enable-proxy-balancer" \
"--enable-proxy-hcheck" \
"--enable-dav" \
"--enable-asis" \
"--enable-info" \
"--enable-cgi" \
"--enable-negotiation" \
"--enable-imagemap" \
"--enable-actions" \
"--enable-speling" \
"--enable-userdir" \
"--enable-vhost-alias" \
"--enable-rewrite" \
"--enable-substitute" \
"--with-pcre=/opt/httpd-2.4.23/" \
"$@"

# ./bin/httpd -V
Server version: Apache/2.4.23 (Unix)
Server built:   Sep 30 2016 09:47:42
Server's Module Magic Number: 20120211:61
Server loaded:  APR 1.5.2, APR-UTIL 1.5.4
Compiled using: APR 1.5.2, APR-UTIL 1.5.4
Architecture:   32-bit
Server MPM:     prefork
  threaded:     no
    forked:     yes (variable process count)
Server compiled with....
 -D APR_HAS_SENDFILE
 -D APR_HAS_MMAP
 -D APR_USE_PROC_PTHREAD_SERIALIZE
 -D APR_USE_PTHREAD_SERIALIZE
 -D SINGLE_LISTEN_UNSERIALIZED_ACCEPT
 -D APR_HAS_OTHER_CHILD
 -D AP_HAVE_RELIABLE_PIPED_LOGS
 -D DYNAMIC_MODULE_LIMIT=256
 -D HTTPD_ROOT="/opt/httpd-2.4.23/"
 -D SUEXEC_BIN="/opt/httpd-2.4.23//bin/suexec"
 -D DEFAULT_PIDLOG="logs/httpd.pid"
 -D DEFAULT_SCOREBOARD="logs/apache_runtime_status"
 -D DEFAULT_ERRORLOG="logs/error_log"
 -D AP_TYPES_CONFIG_FILE="conf/mime.types"
 -D SERVER_CONFIG_FILE="conf/httpd.conf"
#
Comment 3 Christophe JAILLET 2018-08-24 11:49:00 UTC
Duplicate of bug 61786 (and bug 62644)?
Comment 4 Yann Ylavic 2018-08-27 09:44:52 UTC

*** This bug has been marked as a duplicate of bug 61786 ***